Mise à jour de sécurité SSL pour Control4 OS 2.10.0 & 2.5.3

A partir du 15 Mars 2018, Control4  met à jour les certificats de sécurité des contrôleurs de l'autorité de certification Thawte à Digicert.


Qu'est ce que cela signifie?


Sans le patch, les contrôleurs ne peuvent pas s'enregistrer auprès de Control4. Voici de l'aide pour savoir si votre appareil est affecté.

Odoo image et bloc de texte

Si vous avez l'erreur suivante en OS 2.10.0...

C'est signe qu'il faut patcher l'appareil.


Error while communicating with the Web Services.  Fault = SSL_ERROR_SSL error:14090086:SSL routines:ssl3_get_server_certificate:certificate verify failed LSE = 0

Si vous avez cette erreur en 2.5.3

C'est aussi le signe qu'il faut installer le patch suivant

Error while communicating with the Web Services.  Fault = SSL_ERROR_SSL
Texte Odoo et bloc d'image

 

La solution

Le patch est à installer. 

En parallèle Control4 va déployer directement ce patch sur un grand nombre d'installations.
Tous les nouveaux controlleurs qui seront vendus en version 2.10.1 auront déjà ce patch intégré en usine.

Pour les appareils restaurés avec l'utilitaire Device Image Updater v2, il faudra passer ce patch pour que l'enregistrement fonctionne.



Ce patch peut être téléchargé ici : sur le portail dealer Control4